# $Revision: 1.172.2.5 $, $Date: 2006/08/02 17:57:36 $
Summary:	The core programs for the GNOME GUI desktop environment
Summary(pl):	Podstawowe programy rodowiska graficznego GNOME
Name:		gnome-panel
Version:	2.14.3
Release:	1
License:	LGPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/gnome/sources/gnome-panel/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	14ab4c3d3ff3d0c1be397b6799a8626c
Patch0:		%{name}-finalize-memleak.patch
Patch1:		%{name}-no_launchers_on_panel.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	ORBit2-devel >= 1:2.14.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	evolution-data-server-devel >= 1.6.2
BuildRequires:	gnome-common >= 2.8.0-2
BuildRequires:	gnome-doc-utils >= 0.4.2
BuildRequires:	gnome-desktop-devel >= 2.14.2
BuildRequires:	gnome-menus-devel >= 2.14.0
BuildRequires:	gnome-vfs2-devel >= 2.14.2
BuildRequires:	gtk+2-devel >= 2:2.8.18
BuildRequires:	gtk-doc >= 1.4
BuildRequires:	intltool >= 0.35
BuildRequires:	libart_lgpl-devel >= 2.3.15
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libgnomeui-devel >= 2.14.1
BuildRequires:	libtool
BuildRequires:	libwnck-devel >= 2.14.2
BuildRequires:	pango-devel >= 1:1.12.3
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.15.0
BuildRequires:	python-libxml2
BuildRequires:	rpm-build >= 4.1-10
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper >= 0.3.11
BuildConflicts:	GConf-devel < 1.0.9-7
Requires(post,preun):	GConf2 >= 2.14.0
Requires(post,postun):	scrollkeeper
Requires:	%{name}-libs = %{version}-%{release}
Requires:	hicolor-icon-theme
Requires:	gnome-desktop >= 2.14.2
Requires:	gnome-icon-theme >= 2.14.0
Requires:	xdg-menus
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.

The gnome-panel packages provides the GNOME panel, menus and some
basic applets for the panel.

%description -l pl
GNOME (GNU Network Object Model Environment) to zestaw przyjaznych dla
uytkownika aplikacji i narzdzi do uywania w poczeniu z zarzdc
okien pod X. GNOME ma podobny cel jak CDE i KDE, ale bazuje cakowicie
na wolnym oprogramowaniu.

Ten pakiet dostarcza panel GNOME2, menu oraz podstawowe aplety dla
panelu GNOME2.

%package devel
Summary:	GNOME panel includes, and more
Summary(pl):	Pliki nagwkowe biblioteki panelu GNOME
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gtk-doc-common
Requires:	libgnomeui-devel >= 2.14.1

%description devel
Panel header files for creating GNOME panels.

%description devel -l pl
Pliki nagwkowe bibliotek panelu GNOME.

%package static
Summary:	GNOME panel static libraries
Summary(pl):	Statyczne biblioteki panelu GNOME
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Panel static libraries.

%description static -l pl
Statyczne biblioteki panelu GNOME.

%package libs
Summary:	GNOME panel library
Summary(pl):	Biblioteka panelu GNOME
Group:		X11/Libraries
Requires:	libgnomeui >= 2.14.0
Requires:	librsvg >= 1:2.14.0

%description libs
GNOME panel library.

%description libs -l pl
Biblioteka panelu GNOME.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gnome_doc_prepare}
%{__gnome_doc_common}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-schemas-install \
	--enable-eds \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_datadir}/%{name}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

install %{name}/panel-default-setup.entries $RPM_BUILD_ROOT%{_datadir}/%{name}

# short circuit stopper (fix me!)
mv ChangeLog main-ChangeLog
find . -name ChangeLog |awk '{src=$0; dst=$0;sub("^./","",dst);gsub("/","-",dst); print "cp " src " " dst}'|sh

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/panel-default-setup.entries

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%gconf_schema_install clock.schemas
%gconf_schema_install fish.schemas
%gconf_schema_install panel-compatibility.schemas
%gconf_schema_install panel-general.schemas
%gconf_schema_install panel-global.schemas
%gconf_schema_install panel-object.schemas
%gconf_schema_install panel-toplevel.schemas
%gconf_schema_install window-list.schemas
%gconf_schema_install workspace-switcher.schemas
%{_bindir}/gconftool-2 --direct \
	--config-source="`%{_bindir}/gconftool-2 --get-default-source`" \
	--load %{_datadir}/%{name}/panel-default-setup.entries > /dev/null
%{_bindir}/gconftool-2 --direct \
	--config-source="`%{_bindir}/gconftool-2 --get-default-source`" \
	--load %{_datadir}/%{name}/panel-default-setup.entries /apps/panel/profiles/default > /dev/null
%update_icon_cache hicolor
%banner %{name} -e << EOF
For full functionality, you need to install
gnome-utils-screenshot and gnome-utils-search-tool.
EOF

%preun
%gconf_schema_uninstall clock.schemas
%gconf_schema_uninstall fish.schemas
%gconf_schema_uninstall panel-compatibility.schemas
%gconf_schema_uninstall panel-general.schemas
%gconf_schema_uninstall panel-global.schemas
%gconf_schema_uninstall panel-object.schemas
%gconf_schema_uninstall panel-toplevel.schemas
%gconf_schema_uninstall window-list.schemas
%gconf_schema_uninstall workspace-switcher.schemas

%postun
%scrollkeeper_update_postun
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README *ChangeLog
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/clock-applet
%attr(755,root,root) %{_libdir}/fish-applet-2
%attr(755,root,root) %{_libdir}/notification-area-applet
%attr(755,root,root) %{_libdir}/wnck-applet
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/gnome-panel
%{_datadir}/gnome/panel
%{_datadir}/gnome-panelrc
%{_datadir}/idl/gnome-panel-2.0
%{_iconsdir}/*/*/apps/*.png
%{_libdir}/bonobo/servers/*
%{_mandir}/man1/*
%{_omf_dest_dir}/clock
%{_omf_dest_dir}/fish
%{_omf_dest_dir}/%{name}
%{_omf_dest_dir}/window-list
%{_omf_dest_dir}/workspace-switcher
%{_sysconfdir}/gconf/schemas/clock.schemas
%{_sysconfdir}/gconf/schemas/fish.schemas
%{_sysconfdir}/gconf/schemas/panel-compatibility.schemas
%{_sysconfdir}/gconf/schemas/panel-general.schemas
%{_sysconfdir}/gconf/schemas/panel-global.schemas
%{_sysconfdir}/gconf/schemas/panel-object.schemas
%{_sysconfdir}/gconf/schemas/panel-toplevel.schemas
%{_sysconfdir}/gconf/schemas/window-list.schemas
%{_sysconfdir}/gconf/schemas/workspace-switcher.schemas

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpanel-applet*.so
%{_libdir}/*.la
%{_gtkdocdir}/panel-applet
%{_includedir}/panel-2.0
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpanel-applet*.so.*.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-panel.spec,v $
Revision 1.172.2.5  2006/08/02 17:57:36  freetz
- place macro after internal script call

Revision 1.172.2.4  2006/08/02 17:34:47  freetz
- 2.14.3, use rpm macros

Revision 1.172.2.3  2006/06/01 19:37:05  freetz
- don't run glib-gettextize (breaks locale build)

Revision 1.172.2.2  2006/05/31 19:18:35  freetz
- 2.14.2, GNOME 2.14.2 deps

Revision 1.172.2.1  2006/05/15 16:30:03  baggins
- merged from HEAD

Revision 1.174  2006/04/10 17:12:50  freetz
- 2.14.1

Revision 1.173  2006/04/02 06:59:37  freetz
- merged from DEVEL

Revision 1.171.2.5  2006/03/21 19:14:59  freetz
- rel.3 (dropping libhowl deps)

Revision 1.171.2.4  2006/03/19 17:29:39  freetz
- rel.2 for rebuild with libgsf 1.14.0

Revision 1.171.2.3  2006/03/13 21:11:16  freetz
- 2.14.0

Revision 1.171.2.2  2006/02/13 20:56:17  freetz
- 2.13.91

Revision 1.171.2.1  2006/01/27 21:05:48  freetz
- 2.13.90, merged launchers patches, updated BR

Revision 1.172  2006/02/08 16:05:38  freetz
- 2.12.3

Revision 1.171  2005/11/29 09:01:06  freetz
- 2.12.2

Revision 1.170  2005/10/04 20:48:31  freetz
- 2.12.1, forced BRs/Rs to mainstream versions

Revision 1.169  2005/09/06 13:21:34  aflinta
- merged form DEVEL, 2.12.0

Revision 1.166.4.13  2005/08/22 20:17:30  paladine
- updated to 2.11.92
- removed notification_area_applet patch

Revision 1.166.4.12  2005/08/17 21:51:38  aflinta
- rebuild with cairo, rel. 3

Revision 1.166.4.11  2005/08/14 20:12:04  freetz
- libs subpackage for easier developing, removed TODO and droped menu
  stripe, rel.2

Revision 1.166.4.10  2005/08/09 15:00:53  paladine
- rm /etc/gconf/schemas/panel-default-setup.entries

Revision 1.166.4.9  2005/08/09 14:16:24  paladine
- updated to 2.11.91
- itemize schemas

Revision 1.166.4.8  2005/08/09 11:40:41  aflinta
- rebuild with libwnck, release 3

Revision 1.166.4.7  2005/08/08 21:21:18  freetz
- rel.2 for rebuild with e-d-s 1.3.7

Revision 1.166.4.6  2005/07/26 14:42:07  freetz
- 2.11.90, more %%files, BRs/Rs update, session fix obsoleted (fixed in
  gnome-session 2.11.90), gnome-doc-utils for omf files

Revision 1.166.4.5  2005/07/25 09:07:02  freetz
- no_launchers_on_panel is back (ephy,evo launchers this time), no %%config
  for *.schemas, cleanup and cosmetics

Revision 1.166.4.4  2005/07/13 11:13:37  freetz
- 2.11.5

Revision 1.166.4.3  2005/07/05 13:55:01  freetz
- rel.2 for backported (and updated) session_fix patch from AC-branch

Revision 1.166.4.2  2005/07/04 22:02:03  freetz
- small todo memo

Revision 1.166.4.1  2005/07/03 17:07:14  freetz
- 2.11.4, BRs updated, no-launchers-on-panel not needed any more (yes, they
  are at last removed), fixed menu_stripe bcond mess (don't bcondize PatchX
  section dudes! please!)

Revision 1.166  2005/05/23 15:39:21  paladine
- R: xdg-menus, rel. 3

Revision 1.165  2005/04/13 21:58:08  paladine
- banner info fix, rel. 2

Revision 1.164  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.163  2005/04/08 12:45:20  paladine
- new style macros
- STBR

Revision 1.162  2005/04/05 23:14:47  paladine
- require proper macros version

Revision 1.161  2005/04/05 23:08:54  paladine
- updated to 2.10.1
- added no_mixer_applet patch removing mixer applet from default
  panel configuration
- use new faster rpm's GConf automation
- run scrollkeeper-update in quiet mode

Revision 1.160  2005/03/30 14:15:24  paladine
- added %%banner
- rel. 3

Revision 1.159  2005/03/20 20:48:39  aflinta
- rebuild with howl 0.9.10, release 2

Revision 1.158  2005/03/09 23:29:51  paladine
- added TODO

Revision 1.157  2005/03/09 23:27:00  paladine
- merged from DEVEL

Revision 1.156  2005/02/14 22:35:18  paladine
- updated to 2.8.3

Revision 1.155.2.7  2005/03/07 21:27:06  wiget
- updated to 2.10.0
